#!/usr/bin/python

import glob
import re

def replace_perl_versions(filename):
    print(filename)

    # read the file
    f = open(filename)
    lines = f.readlines()
    f.close()

    # write the file with a changed version string
    f = open(filename, 'w')
    for line in lines:
        match = re.search(r'^perl5.branches\s+(.*)', line)
        if match:
            versions_old = match.group(1)
            match20 = re.search('5[.]20$', versions_old)
            if match20:
                versions_new = "{} 5.22".format(versions_old)
            else:
                print("Doesn't match: {}".format(versions_old))
                versions_new = versions_old
            line_new     = "perl5.branches      {}".format(versions_new)
            print(line.strip())
            print(line_new)
            print
            # write the new version string to the file
            f.write(line_new + "\n")
        else:
            # or write the original line if it wasn't about versions
            f.write(line)
    f.close()


file_list = glob.glob("perl/p5-*/Portfile")
for l in file_list:
    replace_perl_versions(l)
